Source: myghtyutils
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper-compat (= 9)
Build-Depends-Indep: python-all, dh-python, python-setuptools (>= 0.6b3-1~)
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/python-team/packages/myghtyutils.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/myghtyutils
Homepage: http://www.myghty.org/

Package: python-myghtyutils
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Enhances: python-myghty
Description: Set of utility classes used by Myghty templating
 Utility classes used by Myghty templating:
 container - the Containment system providing back-end neutral key/value
 storage, with support for in-memory, DBM files, flat files, and memcached.
 buffer - some functions for augmenting file objects .
 util - various utility functions and objects.
 synchronizer - provides many reader/single writer synchronization using
 either thread mutexes or lockfiles.
 session - provides a Session interface built upon the Container, similar
 interface to mod_python session. Currently needs a mod_python-like request
 object, this should be changed to something more generic.
